Bug 218422 - The Implmenentation-Version manifest attribute should not be set to constant "1.0"
Summary: The Implmenentation-Version manifest attribute should not be set to constant ...
Status: RESOLVED FIXED
Alias: None
Product: javafx
Classification: Unclassified
Component: Deployment (show other bugs)
Version: 7.2
Hardware: PC Windows 7
: P3 normal (vote)
Assignee: Petr Somol
URL:
Keywords: API_REVIEW_FAST
Depends on:
Blocks: 204758
  Show dependency tree
 
Reported: 2012-09-16 17:25 UTC by stargater
Modified: 2013-04-02 12:00 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments
api change + patch resolving this issue (121.32 KB, patch)
2013-03-12 16:53 UTC, Petr Somol
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description stargater 2012-09-16 17:25:13 UTC
The "deploy-jar" macrodef in jfx-impl.xml generates the manifest file with attribute "Implementation-Version=1.0"
It could get the value from e.g. project properties just like the "Implementation-Vendor" attribute.
Comment 1 Petr Somol 2013-03-12 16:53:46 UTC
Created attachment 132526 [details]
api change + patch resolving this issue

Surfacing version info appears to fit best to Application panel in Project Properties dialog. In FX project the UI change would involve adding an extension panel to the standard SE Application panel using J2SECategoryExtensionProvider. To enable this the J2SECategoryExtensionProvider permissions need to be extended. Thi API change is trivial and has no side effects:

-    enum ExtensibleCategory { PACKAGING, RUN }
+    enum ExtensibleCategory { PACKAGING, RUN, APPLICATION }

Attaching a patch with the api change + code resolving this issue
Comment 2 Petr Somol 2013-03-21 14:22:24 UTC
no comments during the last week, going to integrate
Comment 3 Petr Somol 2013-03-21 15:55:43 UTC
fixed in jetmain
http://hg.netbeans.org/jet-main/rev/f275fa3dca7a
Comment 4 Petr Somol 2013-03-21 16:00:41 UTC
Remark: Implementation version can now be specified in Project Properties->Application panel. It is passed to jar manifest but also to native packager where it is used at least for naming installer files.
Comment 5 Quality Engineering 2013-03-24 01:53:38 UTC
Integrated into 'main-golden', will be available in build *201303232300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f275fa3dca7a
User: Petr Somol <psomol@netbeans.org>
Log: #218422 - The Implmenentation-Version manifest attribute should not be set to constant 1.0